Subject: Re: bug#48009: 28.0.50; Support query-regexp-replace using re-builder

From: Phil Sainty <[email-masked]>
Date: Mon, 26 Apr 2021 02:51:42 +1200

On 25/04/21 10:46 pm, Stefan Kangas wrote:
> Why not make `query-replace-regexp' work exactly like isearch does,
> i.e. interactively update its matches?  I.e. why should users need
> to know about `re-builder' to take advantage of this?
>
> Something like that could be added in addition to a command to go
> from `re-builder' to `query-replace-regexp'.

That could be very nice, although it feels like a pretty significant
complication.  Also, re-builder's interactive updates can sometimes
need a manual C-c C-u (`reb-force-update') if it gets confused (which
I think occasionally happens when the regexp is invalid?), and that
might not be great.

Or did you mean to use the isearch highlighting code, which is perhaps
more forgiving of temporary invalid states?